<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$anoReduzido=substr($anoCorrente,2,2);
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;

        
 
 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
  
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=93;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=270;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
					 $pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cotaFinal);//linha externa esquerda	
					 $pdf->Line($margemEsquerda,$cotaFinal,$margemDireita,$cotaFinal);//linha inferior	
					 $pdf->Line($margemDireita,$cota1,$margemDireita,$cotaFinal);	//linha direita
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens


			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();



					 $pdf->SetFont('Arial','BU',10);
					 $pdf->setXY($posicaoCab1,5);
					 $pdf->Cell(145,5,'FICHA DE ANALISE DE SEMENTES C.A.',0,1,'L');//lab nome
					 $pdf->SetFont('Arial','',10);
					 $pdf->setXY($posicaoCab1,10); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');
					 
				     ################IDENTIFICACAO DA AMOSTRA##################################################
				 	 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				         $largo1=95;           
				         $largo2=95;           
					 $pdf->SetXY($margemEsquerda,$cota2);
				  	 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell($largo1,5,'Amostra:'.$vetorCapturaGeral[1].' Lote:'.$vetorCapturaGeral[2],0,0,'L'); //imprime a amostra
					 //aqui inverte a data
					 $data=$vetorCapturaGeral[36];
					 $dia=substr($data,8,2);
					 $mes=substr($data,5,2);
					 $ano=substr($data,0,4);//ano   1951-02-28
					 $dataFinal=$dia."/".$mes."/".$ano;
					 $pdf->Cell($largo2,5,'Data Recebimento:'.$dataFinal,0,1,'L');//imprme a data
				     $pdf->SetFont('Arial','',8);
					 $pdf->Cell($largo1,3,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');
					 $pdf->Cell($largo2,3,'Cultivar:'.$vetorCapturaGeral[31],0,1,'L');
					 $pdf->Cell($largo1,3,'Safra:'.$vetorCapturaGeral[34],0,0,'L');
					 $pdf->Cell($largo2,3,'Categoria:'.$vetorCapturaGeral[33],0,1,'L');
					 $pdf->Cell($largo1,3,'Remetente:'.utf8_decode($vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2,3,utf8_decode('RESULTADO EM ____/____/'.$anoCorrente),0,1,'L');
					 
					 $pdf->Cell(194,3,'Testes a realizar:'.$vetorCapturaGeral[44]. "  Previsao:".$vetorCapturaGeral[74],0,1,'L');
					 $pdf->Cell($largo1,4,utf8_decode('Nº DOC  _______________/'.$anoCorrente.'    DATA  ___/___/'.$anoCorrente.'   Rub ________'),0,0,'L');	
					 
					 
					 
					 
					 
					 ##############cria setor de purezaaaa###############################################3
					 $pdf->Line($margemEsquerda,$cota3,$margemDireita,$cota3);//
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=50; $posicaox2=63; $posicaox3=76; $posicaox4=88;
					 $posicaoMeio=97;
				         $altura=7;
					 $cota3a=$cota3+1*$altura;
					 $cota3b=$cota3+2*$altura;
					 $cota3c=$cota3+3*$altura;
					 $cota3d=$cota3+4*$altura;
					 $cota3e=$cota3+5*$altura;
					 $cota3f=$cota3+6*$altura;
					 $cota3g=$cota3+7*$altura;
					 $cota3h=$cota3+8*$altura;
					 $cota3i=$cota3+9*$altura;
					 $cota3j=$cota3+10*$altura;
				     //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota3a,$posicao1,$cota3g);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota3a,$posicao2,$cota3g);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota3a,$posicao3,$cota3g);//

				         //as linhas horizontatis  de pureza
					 //$pdf->Line($margemEsquerda,$cota3b,$posicaoMeio,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3a,$margemDireita,$cota3a);//
					 $pdf->Line($margemEsquerda,$cota3b,$margemDireita,$cota3b);//
					 $pdf->Line($margemEsquerda,$cota3c,$margemDireita,$cota3c);//
					 $pdf->Line($margemEsquerda,$cota3d,$margemDireita,$cota3d);//
					 $pdf->Line($margemEsquerda,$cota3e,$margemDireita,$cota3e);//
					 $pdf->Line($margemEsquerda,$cota3f,$margemDireita,$cota3f);//
					 $pdf->Line($margemEsquerda,$cota3g,$margemDireita,$cota3g);//
					 $pdf->Line($margemEsquerda,$cota3h,$margemDireita,$cota3h);//
					 $pdf->Line($margemEsquerda,$cota3i,$margemDireita,$cota3i);//
					 //$pdf->Line($posicaoMeio,$cota3a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				         //textos de pureza
					 $pdf->SetXY($margemEsquerda,$cota3); $pdf->Cell(194,4.5,utf8_decode('ANÁLISE DE PUREZA: (em'.$vetorCapturaGeral[45].'_______g) - Balança:LAS Nº _________Data/Rubr.:     /     / '.$anoCorrente),1,1,'C',1);	
					 $pdf->SetXY($posicaox1,$cota3a);$pdf->Cell(30,4.5,'g',0,0,'L');	
					 $pdf->SetXY($posicaox2,$cota3a);$pdf->Cell(7,4.5,'%',0,0,'L');	
						 $pdf->SetXY($posicaoMeio,$cota3a);$pdf->Cell(95,4.5,'Natureza do Material Inerte e/ou Outras Sementes',0,0,'C');	
					 $pdf->SetXY($margemEsquerda,$cota3b); $pdf->Cell(50,4.5,'Amostra de trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3d); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3e); $pdf->Cell(50,4.5,'Material inerte',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota3f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
				
				
				
				     $cota4+=29;
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
				         $cota4a=$cota4+1*4.5;
				         $cota4b=$cota4+2*4.5;
				         $cota4c=$cota4+3*4.5;
				         $cota4d=$cota4+4*4.5;
				         $cota4e=$cota4+5*4.5;
					 $largura1=58;
					 $largura2=10;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura1;
					 $posicao3=$margemEsquerda+$largura1+$largura1+$largura1;
					 $posicao4=$posicao3+$largura2;
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota4);
					 //$pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em ').$vetorCapturaGeral[49].'g______)',1,1,'L',1);	 
					 $pdf->cell(194,4.5,utf8_decode('VERIFICAÇÃO DE OUTRAS CULTIVARES: (em_______g/________ )'),1,1,'L',1);	 
					 //(em_______g/________)
					 //$pdf->setXY($margemEsquerda,$cota4b);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: (em').$vetorCapturaGeral[50].'g  Data/Rub.:____/____/)'.$anoCorrente,1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4b);$pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO:______________ Data/Rubr.: ______/_____' .$anoCorrente),1,1,'L',1);	 
					 $pdf->setXY($margemEsquerda,$cota4c);
					 $pdf->cell($largura1,4.5,utf8_decode('OUTRAS ESPÉCIES'),0,0,'C'); 
					 $pdf->cell($largura1,4.5,'SILVESTRES:',0,0,'C');	 
					 $pdf->cell($largura1,4.5,'NOCIVAS:',0,1,'C');
					 $pdf->setXY($margemEsquerda,$cota4d);
					 $pdf->cell($largura1,4.5,'CULTIVADAS: ____________g',0,0,'C');	 
					 $pdf->cell($largura1,4.5,' ____________g',0,0,'C');	 
					 $pdf->cell($largura1,4.5,' ____________g',0,1,'C');
					 
					 $pdf->setXY($posicao3,$cota4c+1);
					 $pdf->cell($largura2,4.5,'NT',0,0,'C');	 
					 $pdf->cell($largura2,4.5,'NP',0,1,'C');
 
                     //cria 10 linhas horizontais
                     $y5=$cota4d;
					 for($i=1;$i<=10;$i++): 
					    $y5+=7.5;
					    $pdf->Line($margemEsquerda,$y5,$margemDireita,$y5);//linha
                     endfor;
 					 
				     //quatro linhas verticais separando silvestres,nocivas e oesp 
					 $pdf->Line($posicao1,$cota4c,$posicao1,$y5);
					 $pdf->Line($posicao2,$cota4c,$posicao2,$y5);
					 $pdf->Line($posicao3,$cota4c,$posicao3,$y5);
					 $pdf->Line($posicao4,$cota4c,$posicao4,$y5);
                     //textos com totais de dosn
					 $pdf->setXY($margemEsquerda,$y5);
					 $pdf->cell($largura1,4.5,'Total:',1,0,'L');	 
					 $pdf->cell($largura1,4.5,'Total:',1,0,'L');	 
					 $pdf->cell($largura1,4.5,'Total:',1,0,'L');	 
					 $pdf->cell($largura2,4.5,' ',1,0,'L');	 
					 $pdf->cell($largura2,4.5,' ',1,0,'L');	 
					 
					 

                     //pragas
 					 $pdf->setXY($margemEsquerda,$y5+9);

					 $pdf->cell(194,4.5,'PRAGAS em ________g/________ Data/Rubr.: _____/______/'.$anoCorrente.'   __________' ,1,1,'C',1);	 
					 
					  

                     //OBSERVACOES
					 $pdf->setXY($margemEsquerda,$y5+18);

					 $pdf->cell(194,4.5,utf8_decode('OBSERVAÇÕES:........................ Data/Rubr.:  ____/_____/'.$anoCorrente.'   _________') ,1,1,'C',1);	
					 $pdf->cell(194,4.5,utf8_decode($vetorCapturaGeral[37]) ,0,1,'L',1);	
					  
                     //coloca duas linhas horizontais
					 $pdf->Line($margemEsquerda,$y5+27,$margemDireita,$y5+27);//linha
					 $pdf->Line($margemEsquerda,$y5+31.5,$margemDireita,$y5+31.5);//linha
                     //risco da assinatura
					 $pdf->Line($posicao2,$y5+40,$margemDireita-10,$y5+40);//lin
					

					 $pdf->setXY($margemEsquerda,$y5+40);
					 $pdf->cell(100,4.5,utf8_decode('Data:.:____/____/').$anoCorrente  ,0,0,'L');	 
					 $pdf->cell(100,4.5,utf8_decode('Responsável Técnico'),0,0,'C');	 
				     $pdf->setXY($margemEsquerda,$cotaFinal);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(20,4,'SilasNet',1,1,'L');	 
				 endif;

             endwhile; //este while encerra a colecao de amostras   
			 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
